<template>
    <div>
        <label v-if="label" :for="identifier">{{ label }}</label>
        <input
                type="text"
                :name="identifier"
                :id="identifier"
                v-model="new_value"
                @change="change"
                :placeholder="placeholder"
                :disabled="disabled"
        />
        <div class="fieldchanger-error" v-if="error">
            {{ error }}
        </div>
        <div class="fieldchanger-hint" v-if="hint">
            {{ hint }}
        </div>
    </div>
</template>

<script>
    import DatabaseFieldchanger from "./DatabaseFieldchanger";

    export default {

        extends: DatabaseFieldchanger,

        props: {
            placeholder: {
                type: String,
                default: null,
            }
        },

    }
</script>